Package org.eclipse.core.resources.mapping

## Class ResourceMappingContext

- java.lang.Object
- - org.eclipse.core.resources.mapping.ResourceMappingContext

Direct Known Subclasses:
  `RemoteResourceMappingContext`

    public class ResourceMappingContext
    extends Object

A resource mapping context is provided to a resource mapping when traversing the resources of the mapping. The type of context may determine what resources are included in the traversals of a mapping.

There are currently two resource mapping contexts: the local mapping context (represented by the singleton `LOCAL_CONTEXT`), and `RemoteResourceMappingContext`. Implementors of `ResourceMapping` should not assume that these are the only valid contexts (in order to allow future extensibility). Therefore, if the provided context is not of one of the above mentioned types, the implementor can assume that the context is a local context.

This class may be subclassed by clients; this class is not intended to be instantiated directly.

Since:
  3.2
See Also:
  `ResourceMapping`, `RemoteResourceMappingContext`

### Field Summary

Fields
`static ResourceMappingContext` `LOCAL_CONTEXT` This resource mapping context is used to indicate that the operation that is requesting the traversals is performing a local operation.

### Constructor Summary

Constructors
`ResourceMappingContext()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LOCAL_CONTEXT

    public static final ResourceMappingContext LOCAL_CONTEXT

This resource mapping context is used to indicate that the operation that is requesting the traversals is performing a local operation. Because the operation is local, the resource mapping is free to be as precise as desired about what resources make up the mapping without concern for performing optimized remote operations.

### Constructor Detail

#### ResourceMappingContext

    public ResourceMappingContext()